org.apache.sling.maven.javaversion

## Class SetJavaVersionMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.javaversion.SetJavaVersionMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    @Mojo(name="set-java-version",
          defaultPhase=INITIALIZE)
    public class SetJavaVersionMojo
    extends org.apache.maven.plugin.AbstractMojo

Sets Maven project properties in accordance to the specified `sling.java.version` property

The following versions are set:

1. `sling.bree` - the value of the OSGi Bundle-RequiredExecutionEnvironment header, e.g. `JavaSE-1.8`
2. `sling.animalSignatures.version` - the value to be appended appended to the artifactId following `java1`, e.g. `8`

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SetJavaVersionMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetJavaVersionMojo

    public SetJavaVersionMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`